﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication168.ViewModel
{
  public  class VM:INotifyPropertyChanged
    {

      string fieldname = string.Empty;
      public String FieldName
      {
          get { return fieldname; }
          set { fieldname = value;
          NotifyPropertyChanged("FieldName");
          }
      }

      ObservableCollection<Person> people = new ObservableCollection<Person>();
      public ObservableCollection<Person> People
      {
          get { return people; }
          set { people = value; }
      }
      private void NotifyPropertyChanged(String propertyName )
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
          }
      }



      public VM()
      {
          for (int i = 0; i < 5; i++)
          {
              Person p = new Person()
              {
                  Name = "name " + i.ToString(),
                  Status = i,
                   Access =  "acces " + i.ToString(),
              };
              if (i == 4)
                  p.Access = string.Empty;
              people.Add(p);
          }
      }

      #region INotifyPropertyChanged Members

      public event PropertyChangedEventHandler PropertyChanged;

      #endregion
    }
}
